Imports System.IO

Module Globals
    ' List all music files in the directory.
    Public Sub ListFiles(ByVal start_dir As String, ByVal file_names As Collection)
        Dim new_files As String() = Directory.GetFiles(start_dir, "*.mp3")
        For Each file_name As String In new_files
            file_names.Add(file_name)
        Next file_name
    End Sub

    ' Randomize an array of integers indexed from 0.
    Public Sub RandomizeArray(ByVal indexes() As Integer)
        Dim num_items As Integer
        Dim j As Integer
        Dim tmp As Integer

        ' Randomize the array.
        Randomize()
        num_items = indexes.GetUpperBound(0)
        For i As Integer = 0 To num_items - 2
            ' Pick a random entry.
            j = CInt(Int((num_items - i) * Rnd() + i))

            ' Swap the numbers.
            tmp = indexes(i)
            indexes(i) = indexes(j)
            indexes(j) = tmp
        Next i
    End Sub

    Public Sub CenterFormOnForm(ByVal frm_above As Form, ByVal frm_below As Form)
        Dim working_area As Rectangle = Screen.GetWorkingArea(New Point(0, 0))

        Dim x As Integer
        x = (frm_below.Left + frm_below.Right - frm_above.Width) \ 2
        If x < 0 Then x = 0
        If x + frm_above.Width > working_area.Right Then
            x = working_area.Right - frm_above.Width
        End If

        Dim y As Integer
        y = (frm_below.Top + frm_below.Bottom - frm_above.Height) \ 2
        If y < 0 Then y = 0
        If y + frm_above.Height > working_area.Bottom Then
            y = working_area.Bottom - frm_above.Height
        End If

        frm_above.SetBounds(x, y, frm_above.Width, frm_above.Height)
    End Sub
End Module
